Package gov.nasa.gsfc.sscweb.schema

# Class ValueOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.ValueOptions

public class ValueOptions extends Object
Value listing options. <p>Java class for ValueOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ValueOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="RadialDistance" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="BFieldStrength" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="DipoleLValue" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="DipoleInvLat" type="{http://www.w3.org/2001/XMLSchema}boolean"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `bFieldStrength`
  Specifies whether the B field strength value is to be included in the listing.
  `protected boolean`
  `dipoleInvLat`
  Specifies whether the dipole invariant latitude is to be included in the listing.
  `protected boolean`
  `dipoleLValue`
  Specifies whether the dipole L value is to be included in the listing.
  `protected boolean`
  `radialDistance`
  Specifies whether the radial distance value is to be included in the listing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isBFieldStrength()`
  Specifies whether the B field strength value is to be included in the listing.
  `boolean`
  `isDipoleInvLat()`
  Specifies whether the dipole invariant latitude is to be included in the listing.
  `boolean`
  `isDipoleLValue()`
  Specifies whether the dipole L value is to be included in the listing.
  `boolean`
  `isRadialDistance()`
  Specifies whether the radial distance value is to be included in the listing.
  `void`
  `setBFieldStrength(boolean value)`
  Sets the value of the bFieldStrength property.
  `void`
  `setDipoleInvLat(boolean value)`
  Sets the value of the dipoleInvLat property.
  `void`
  `setDipoleLValue(boolean value)`
  Sets the value of the dipoleLValue property.
  `void`
  `setRadialDistance(boolean value)`
  Sets the value of the radialDistance property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### radialDistance

    protected boolean radialDistance
    Specifies whether the radial distance value is to be included in the listing.

  - ### bFieldStrength

    protected boolean bFieldStrength
    Specifies whether the B field strength value is to be included in the listing.

  - ### dipoleLValue

    protected boolean dipoleLValue
    Specifies whether the dipole L value is to be included in the listing.

  - ### dipoleInvLat

    protected boolean dipoleInvLat
    Specifies whether the dipole invariant latitude is to be included in the listing.

- ## Constructor Details

  - ### ValueOptions

    public ValueOptions()

- ## Method Details

  - ### isRadialDistance

    public boolean isRadialDistance()
    Specifies whether the radial distance value is to be included in the listing.

  - ### setRadialDistance

    public void setRadialDistance(boolean value)
    Sets the value of the radialDistance property.

  - ### isBFieldStrength

    public boolean isBFieldStrength()
    Specifies whether the B field strength value is to be included in the listing.

  - ### setBFieldStrength

    public void setBFieldStrength(boolean value)
    Sets the value of the bFieldStrength property.

  - ### isDipoleLValue

    public boolean isDipoleLValue()
    Specifies whether the dipole L value is to be included in the listing.

  - ### setDipoleLValue

    public void setDipoleLValue(boolean value)
    Sets the value of the dipoleLValue property.

  - ### isDipoleInvLat

    public boolean isDipoleInvLat()
    Specifies whether the dipole invariant latitude is to be included in the listing.

  - ### setDipoleInvLat

    public void setDipoleInvLat(boolean value)
    Sets the value of the dipoleInvLat property.